RPC.IDMAPD(8)

NOM
rpc.idmapd - Convertisseur Identifiant NFSv4 <-> Nom

SYNOPSIS
rpc.idmapd [-v] [-f] [-d domaine] [-p chemin] [-U utilisateur] [-G groupe] [-c chemin]

DESCRIPTION
rpc.idmapd est le serveur de conversion nom <-> ID NFSv4. Il fournit cette fonctionnalité au client et au serveur noyau NFSv4, avec lesquels il communique via appels, en traduisant les identifiants d'utilisateur et de groupes en noms, et vice versa.

Les options sont les suivantes :

-v  Accroître la volubilité de la sortie (peut être spécifiée plusieurs fois).

-f  Lancer rpc.idmapd en avant-plan et afficher les sorties sur le terminal.

-f domaine
    Définir le domaine à domaine. Cela est utilisé en interne par NFSv4 et est typiquement défini par l'administrateur système. Par défaut, domaine est défini comme étant le nom complet du système (FQDN) auquel on retire le nom de la machine.

-p chemin
    Indiquer que le système de fichiers rpc_pipefs est situé à chemin. La valeur par défaut est /var/lib/nfs/rpc_pipefs.

-U utilisateur
    Définir utilisateur en tant qu'utilisateur anonyme de NFSv4. La valeur par défaut est nobody.

-G groupe
    Définir groupe en tant que groupe anonyme. La valeur par défaut est nobody.

-c chemin
    Utiliser le fichier de configuration chemin.

-C  Pour les clients uniquement : n'exécuter de conversion pour aucun serveur NFS, même si on en détecte un.

-S  Pour les serveurs uniquement : n'exécuter de conversion pour aucun client NFS, même si on en détecte un.

EXEMPLE
rpc.idmapd -d "citi.umich.edu" -f -vvv

Lancer rpc.idmapd en avant-plan avec « citi.umich.edu » pour domaine, en affichant tous les messages sur la console, et ce, avec un niveau de volubilité de 3.

FICHIERS
/etc/idmapd.conf

AUTEUR
Le programme rpc.idmapd a été développé par Marius Aamodt Eriksen <marius@citi.umich.edu>.

VOIR AUSSI
idmapd.conf(5)

TRADUCTION

Ce document est une traduction réalisée par Sylvain Cherrier <sylvain DOT cherrier AT free DOT fr> le 26 août 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 rpc.idmapd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.